
Foreman - Bug #6045

deleting a class fails

06/03/2014 07:12 PM - m w

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Database   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When trying to delete a class from the puppetclasses screen, this error is produced and the class is not deleted:

PGError

ERROR: update or delete on table "puppetclasses" violates foreign key constraint "environment_classes_puppetclass_id_fk" on table

"environment_classes" DETAIL: Key (id)=(1312) is still referenced from table "environment_classes".

app/controllers/puppetclasses_controller.rb:41:in `destroy'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Related issues:

Is duplicate of Foreman - Bug #4379: Foreign key constraint error on deleting... Resolved 02/18/2014

History

#1 - 06/04/2014 11:20 AM - Dominic Cleal

- Is duplicate of Bug #4379: Foreign key constraint error on deleting a class added

#2 - 06/04/2014 11:20 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this is tracked under #4379.
